# Contributing

## Issues

We use GitHub issues to track public bugs. Please ensure your description is clear and has sufficient instructions to be able to reproduce the issue.

## Pull Requests

* Fork the repo and create your branch from master.
* If you've added code that should be tested, add tests.
* Ensure the test suite passes.

## Coding Style

* Avoid abbreviations.
* Use PEP-8 style guidelines, if not otherwise outlined here.
* Use 2-space indents (no tabs).
* Maximum line length is 100 characters.
* Trailing whitespaces should be trimmed in each line.
* TODO comments should indicate the responsible person (e.g. `// TODO(john): comment goes here`)
* For the sake of simplicity, we're using only TODO comments, no FIXMEs, etc.
